Hi :-)

I'm trying to get one of my projects built by the Open Build Service to be able to provide an AppImage of it. This is all a bit confusing to me a new obs user, so perhaps, I'm just not using it correctly. Anyway, I would greatly appreciate all help.

I got my git sources added, along with a appimage.yml file (at the moment wthout the actual AppImage packaging, I first wanted to see it compile at all). You can see it at https://build.opensuse.org/project/show/home:l3u .

I ran into two problems. Trying to do an x86 build, the system compained about "nothing provides linuxdeployqt" or such, which I didn't get on x86_64. May I assume that this is intended and it's simply not possible to build an AppImage for a 32 bit system?

Using x86_64, the build actually started, but configuring failed due to the Qt version. I need at least Qt 5.7, but the version found is 5.6. Is it possible to get a specific Qt version or is even Qt 5.7 (from 2016) too new for an AppImage build?

Thanks for all help!